/* 
  -- Ppr_5_01 -- Создано автоматически. Затем доработано для книги.
  Этот исходный код графического пользовательского интерфейса был сгенерирован автоматически
  редактором RemoteXY на сайте remotexy.com   и доработана для книги Белова А.В.

    Данная программа разработана как пример программы, созданной при помощи комплекса 
  разработки программ для систем управления микроконтроллерными системами с мобильного 
  устройства RemoteXY. Программа называется "Проверка элементов управления" и позволяет
  изучить способы реализации передачи команд на микроконтроллер от таких элементов управления
  как "Кнопка", "Выключатель", "Переключатель" и "Слайдер".
    
  Исходный вариант программы распространяется как "Free Software"; вы можете распространять 
  и/или изменять ее в соответствии с условиями GNU Lesser General Public 
  Правила лицензирования должны соответствовать Free Software Foundation 
  версии 2.1, либо (по вашему выбору) любой более поздней версии.
*/ 

////////////////////////////////////////////// 
//        RemoteXY include library          // 
////////////////////////////////////////////// 

// определение режима соединения и подключение библиотеки RemoteXY  
#define REMOTEXY_MODE__ESP8266_HARDSERIAL

#include <RemoteXY.h> 

// настройки соединения  
#define REMOTEXY_SERIAL Serial 
#define REMOTEXY_SERIAL_SPEED 115200 
#define REMOTEXY_WIFI_SSID "MyWiFi" 
#define REMOTEXY_WIFI_PASSWORD "РarolMyWiFi" 
#define REMOTEXY_SERVER_PORT 6377 

// конфигурация интерфейса   
#pragma pack(push, 1) 
uint8_t RemoteXY_CONF[] = 
  { 255,4,0,0,0,51,0,8,55,1,
  1,2,36,13,21,10,2,31,208,146,
  208,186,208,187,0,2,0,8,12,21,
  11,2,26,31,31,79,78,0,79,70,
  70,0,3,5,13,36,13,60,2,26,
  4,0,41,38,8,55,2,26 }; 
   
// структура которая определяет все переменные вашего интерфейса управления  
struct { 
    // входные переменные:
  uint8_t button_1; // =1 если кнопка нажата, иначе =0 
  uint8_t switch_1; // =1 если переключатель включен и =0 если отключен 
  uint8_t select_1; // =0 если переключатель в положении A, =1 если в положении B, =2 если в положении C, ... 
  int8_t slider_1; // =0..100 положение слайдера 
    // другие переменные:
  uint8_t connect_flag;  // =1 if wire connected, else =0 
} RemoteXY; 
#pragma pack(pop) 

///////////////////////////////////////////// 
//           END RemoteXY include          // 
///////////////////////////////////////////// 

#define PIN_BUTTON_1 3   // Контакт, управляемый элементом "Кнопка"
#define PIN_SWITCH_1 2   // Контакт, управляемый элементом "Выключатель"
#define PIN_ANALOG 9     // Контакт управляемый элементом "Слайдер" (добавлено)

int selset_t = 0;  // Переменная "Текущее положение переключателя"
int selset_n = 0;  // Переменная "Новое положение переключателя"

void setup() { 
  RemoteXY_Init ();     // Процедура инициализации модуля ESP-01
  for (int i=2; i<9; i++) {   // Цикл настройки контактов ввода-вывода
    pinMode (i, OUTPUT);      // Орпределяем контакт как цифровой выход
    digitalWrite(i, HIGH);    // Выводим на выход логическую единицу
  }
} 

void loop() {  
  RemoteXY_Handler ();      // Вызов процедуры обмена данными со смартфоном 
  digitalWrite(PIN_BUTTON_1, (RemoteXY.button_1==0)?HIGH:LOW);  // От кнопки
  digitalWrite(PIN_SWITCH_1, (RemoteXY.switch_1==0)?HIGH:LOW);  // От выключателя

  pinsel_n = RemoteXY.select_1;  // Получить новое положение переключателя
  if (pinsel_n != pinsel_t) {        // Если положение изменилось
    digitalWrite(pinsel_t+4, HIGH);  // Тушим светодиод старого положения
    digitalWrite(pinsel_n+4, LOW);   // Зажигаем светодиод нового положения
    pinsel_t = pinsel_n;             // Новое текущее положение
  }
  analogWrite(PIN_ANALOG, 255 - RemoteXY.slider_1);   // Управление от слайдера
}

