/*
  Программный пример 6.5.    Глава 6.  Программирование для модуля ESP-01 
  Управления модулем реле (вкл/выкл) при помощи браузера
 */
#include <ESP8266WiFi.h>        // Подключаем библиотеку ESP8266WiFi
#include "Ppr_6_05.h"  
  
void setup(){
  Serial.begin(115200);         // Настройка последовательного канала
  Serial.println();             // Вывод символов перевода строки
  SetupSTA();                   // Настройка Wi-Fi и подключение к сети
  pinMode(PinRelay, OUTPUT);    // Настройка контакта
  digitalWrite(PinRelay, LOW);  // Установка начального значения на выходе
  delay(200);
}
  
void loop(){
  WiFiClient client = server.available();   // Создать Клиент и подключить к серверу 
  if (!client) {                            // Если клиент не был создан то
    return;                                 // Завершение функции loop (начать с начала)
  }
  Serial.println("New client");             // Сообщение о создании клиента
  while(!client.available()) {              // Пока буфер данных пуст, ожидаем 
    delay(1);                               // задержка повторной проверки
  }
 
  String InputString = client.readStringUntil('\r');  // Считывание строки
  Serial.println(InputString);                        // Печать принятой строки 
  client.flush();                           // Ожидаем окончание приема информации
  int rstat = LOW;                          // Устанавливаем статус реле "выключено"
  if (InputString.indexOf("S1") != -1) {    // Есть ли команда "S1" (Пуск)
    Serial.println("Relay ON");             // Сообщение "Реле включается"
    digitalWrite(PinRelay,HIGH);            // Высокий уровень на выход реле
    rstat = HIGH;                           // Статус реле "Включено"
  }
  if (InputString.indexOf("S0") != -1) {    // Есть ли команда "S0" (Пуск)
    Serial.println("Relay OFF");            // Сообщение "Реле выключается"
    digitalWrite(PinRelay,LOW);             // Низкий уровень на выход реле
    rstat = LOW;                            // Статус реле "Выключено"
  }
  // ------ Вывод HTML-страницы ----------
  client.println("<html><head><title>Relay Control from ESP-01</title></head>");
  client.println("<body><font size=\"12\"><center><br>Relay status: <b>");
  client.println((rstat == HIGH)?"ON":"OFF");
  client.println("</b><br><br>Change status Relay<br><br>");
  client.println("<a href=\"S1\">ON</a>&nbsp;&nbsp;&nbsp;");
  client.println("<a href=\"S0\">OFF</a></div>");
  client.println("</center></font></body></html>");
  
  delay(1);                                 // Задержка
  Serial.println("Client disonnected");     // Сообщение "Клиент отключен"
  Serial.println("");                       // Вывод пустой строки
}
