/*
  Программный пример 6.7.    Глава 6.  Программирование для модуля ESP-01 
  Управления метео модулем (температура влажность) при помощи браузера
 */
#include <ESP8266WiFi.h>        // Подключаем библиотеку ESP8266WiFi
#include "Adafruit_Sensor.h"    // Adafruit_Sensor
#include "DHT.h"                // Подключаем библиотеку DHT
#include "Ppr_6_07.h"  
  
void setup(){
  Serial.begin(115200);         // Настройка последовательного канала
  Serial.println();             // Вывод символов перевода строки
  SetupSTA();                   // Настройка Wi-Fi и подключение к сети
  dht.begin();                  // Инициализация DHT
  delay(200);
}
  
void loop(){
  WiFiClient client = server.available();   // Создать Клиент и подключить к серверу 
  if (!client) {                            // Если клиент не был создан то
    return;                                 // Завершение функции loop (начать с начала)
  }
  Serial.println("New client");             // Сообщение о создании клиента
  while(!client.available()) {              // Пока буфер данных пуст, ожидаем 
    delay(1);                               // задержка повторной проверки
  }
 
  String InputString = client.readStringUntil('\r');  // Считывание строки
  Serial.println(InputString);                        // Печать принятой строки 
  client.flush();                           // Ожидаем окончание приема информации
  float t = dht.readTemperature();          // Считывание температуры
  float h = dht.readHumidity();             // Считывание влажности

  // ------ Вывод HTML-страницы ----------
  client.println("<html><head><title>Meteo Control from ESP-01</title>");
  client.println("<meta http-equiv=\"Refresh\" content=\"15\"/>");
  client.println("</head><body><font size=\"12\"><center>Meteo control<br>");
  client.println("<br>Meteo sensor DHT11<br><br>Temperature = ");
  client.println(t);
  client.println("&deg;C<br>Humidity = ");
  client.println(h);
  client.println("%RH</center></font></body></html>");
  
  delay(1);                                 // Задержка
  Serial.println("Client disonnected");     // Сообщение "Клиент отключен"
  Serial.println("");                       // Вывод пустой строки
}
